%define api		3
%define major		6
%define gir_major	3.0

%define libname		%mklibname gweather 3 %{major}
%define develname	%mklibname -d gweather
%define girname		%mklibname gweather-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Weather applet library
Name:		libgweather
Version:	3.24.1
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Apps/Weather
Patch1001:	8384129dd52c6c399bd2eb031c44dc3d957e4ae4..9b08eeadf215580358d0f53ac0f54c9acdde7384.patch
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.25.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	glib2-devel >= 2.13.0
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libxml2-utils
BuildRequires:	gobject-introspection-devel >= 0.10.5

%description
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME Weather applet library
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}gweather-3_0 < 3.2.0

%description -n %{libname}
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{develname}
Group:		Development/C
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname -d gweather} = %{version}-%{release}
Obsoletes:	%{mklibname -d gweather} < 3.1.3
Obsoletes:	%{_lib}gweather-3-devel < 3.2.0

%description -n %{develname}
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gweather-3-gir3.0 < 3.2.0

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%configure2_5x \
	--enable-introspection=yes \
	--enable-vala \
	--disable-static \
	--disable-gtk-doc 
%make 

%install
%makeinstall_std

%find_lang %{name} --all-name

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Locations.xml
%{_datadir}/%{name}/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml

%files -n %{libname}
%{_libdir}/libgweather-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GWeather-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/%{name}-%{gir_major}
%{_datadir}/gir-1.0/GWeather-%{gir_major}.gir
%{_datadir}/vala/vapi/gweather-%{gir_major}.vapi


%changelog
* Tue Jun 27 2017 ovitters <ovitters> 3.24.1-2.mga6
+ Revision: 1108585
- add patch to fix (gnome-shell) crash

* Mon Jun 05 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1106850
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094062
- new version 3.24.0

* Thu Dec 22 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1076364
- new version 3.20.4

* Tue Aug 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1049539
- new version 3.20.3

* Wed Aug 17 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1046567
- new version 3.20.2

* Mon May 09 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1011165
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993809
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990753
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961660
- new version 3.19.90

* Mon Feb 15 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 961034
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889972
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882566
- new release

* Fri Sep 11 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 877032
- new version 3.17.92

* Tue Jul 28 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 858349
- new version 3.17.2

* Mon Jun 29 2015 wally <wally> 3.17.1-2.mga6
+ Revision: 847547
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838295
- new version 3.17.1

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836395
- new version 3.14.4

* Mon Jan 19 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 811571
- new version 3.14.3

* Mon Dec 22 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 804791
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 739326
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738318
- new version 3.14.1

* Fri Sep 26 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 724917
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719193
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-3.mga5
+ Revision: 686712
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676956
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670751
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665620
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655549
- new version 3.13.4

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-2.mga5
+ Revision: 639451
- update url

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639095
- enable vala bindings
- new version 3.13.3

* Thu May 29 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627398
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622318
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614238
- new version 3.12.1

* Tue Mar 25 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608697
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605010
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599235
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594021
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583252
- new version 3.11.5

* Tue Feb 04 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 582474
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545228
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500928
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485244
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480360
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474489
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467848
- new version 3.9.90

* Tue Jul 30 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 461092
- update major
- clean specfile

  + ovitters <ovitters>
    - new version 3.9.5

* Mon Jul 01 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 449466
- new version 3.9.3

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426373
- new version 3.8.2
- new major

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 357442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317524
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306745
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297548
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295969
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287664
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282644
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279457
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271458
- new version 3.5.4

* Mon Jun 25 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 263753
- update file list
- increase major
- update file list
- clean spec
- drop gconf dependency
- new version 3.5.1

* Fri Mar 09 2012 fwang <fwang> 3.4.1-1.mga2
+ Revision: 222077
- new version 3.4.1

* Fri Mar 09 2012 fwang <fwang> 3.4.0-1.mga2
+ Revision: 221910
- drop invalid obsoletes
- fix linkage
- new version 3.4.0

* Thu Oct 27 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 158822
- new version 3.2.1
- enable introspection for sure
- don't list some files twice in files section

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148658
- br xmllint
- new version 3.2.0

* Tue Jul 05 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 118796
- new version 3.1.3
- fix libification
- create a subpackage for gir .typelib
- clean .spec a bit

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101926
- Fix languages file lists
- Remove unpackaged .a files
- Fix buildrequires
- Fix to build with gtk3
- New version 3.0.2

* Sun Jan 16 2011 pterjan <pterjan> 2.30.3-1.mga1
+ Revision: 20498
- Drop obsolete scriptlets and conflict
- imported package libgweather

